%define _disable_ld_no_undefined 1

Summary:	qutIM - multiplatform multiprotocol (ICQ, Jabber etc) instant messenger
Name:		qutim
Version:	0.3.2
Release:	%mkrel 7
License:	GPLv2+
Group:		Networking/Instant messaging
Url:		http://qutim.org/
Source0:	http://qutim.org/dwnl/68/%{name}-%{version}.tar.xz
Patch0:		telepathy-qt4-telepathyqt-upstream.patch
Patch1:		qutim-0.3.2-mga-hunspell-1.4.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	qt4-assistant
BuildRequires:	qt4-linguist
BuildRequires:	aspell-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	qt4-devel
BuildRequires:	SDLmm-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(libjreen)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(phonon)
BuildRequires:	pkgconfig(vreen)

Recommends:	%{name}-emoticons
Recommends:	%{name}-sounds

%description
qutIM - multiplatform multiprotocol (ICQ, Jabber) instant messenger.

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}
%{_datadir}/apps/%{name}
%{_libdir}/%{name}/plugins/*.so
%{_iconsdir}/*/*/*

#----------------------------------------------------------------------------

%define major 0
%define libname %mklibname %{name} %{major}

%package -n	%{libname}
Summary:	qutIM shared library
Group:		Networking/Instant messaging

%description -n %{libname}
qutIM - multiplatform multiprotocol (ICQ, Jabber) instant messenger.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%define chat_major 1
%define libadiumchat %mklibname %{name}-adiumchat %{chat_major}

%package -n	%{libadiumchat}
Summary:	qutIM shared library
Group:		Networking/Instant messaging

%description -n %{libadiumchat}
qutIM - multiplatform multiprotocol (ICQ, Jabber) instant messenger.

%files -n %{libadiumchat}
%{_libdir}/lib%{name}-adiumchat.so.%{chat_major}{,.*}

#----------------------------------------------------------------------------

%define libadiumwebview %mklibname %{name}-adiumwebview %{major}

%package -n	%{libadiumwebview}
Summary:	qutIM shared library
Group:		Networking/Instant messaging

%description -n %{libadiumwebview}
qutIM - multiplatform multiprotocol (ICQ, Jabber) instant messenger.

%files -n %{libadiumwebview}
%{_libdir}/lib%{name}-adiumwebview.so.%{major}{,.*}

#----------------------------------------------------------------------------

%define libsimplecontactlist %mklibname %{name}-simplecontactlist %{major}

%package -n	%{libsimplecontactlist}
Summary:	qutIM shared library
Group:		Networking/Instant messaging

%description -n %{libsimplecontactlist}
qutIM - multiplatform multiprotocol (ICQ, Jabber) instant messenger.

%files -n %{libsimplecontactlist}
%{_libdir}/lib%{name}-simplecontactlist.so.%{major}{,.*}

#----------------------------------------------------------------------------

%define qutimdevelname %mklibname -d %{name}

%package -n	%{qutimdevelname}
Summary:	qutIM header files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libadiumchat} = %{version}-%{release}
Requires:	%{libadiumwebview} = %{version}-%{release}
Requires:	%{libsimplecontactlist} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{qutimdevelname}
qutIM - multiplatform multiprotocol (ICQ, Jabber) instant messenger
header files.

%files -n %{qutimdevelname}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/adiumchat/*.h
%{_includedir}/%{name}/adiumwebview/*.h
%{_includedir}/%{name}/simplecontactlist/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-adiumchat.so
%{_libdir}/lib%{name}-adiumwebview.so
%{_libdir}/lib%{name}-simplecontactlist.so
%{_datadir}/cmake/Modules/*

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kde4 \
	-DKDEINTEGRATION:BOOL=OFF \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSYSTEM_JREEN=ON \
	-DSYSTEM_VREEN=ON \
	-DASTRAL=OFF \
	-DDOCKTILE=OFF \
	-DHAIKUNOTIFICATIONS=OFF \
	-DMACINTEGRATION=OFF \
	-DMAEMO5INTEGRATION=OFF \
	-DMOBILEABOUT=OFF \
	-DMOBILECONTACTINFO=OFF \
	-DMOBILENOTIFICATIONSSETTINGS=OFF \
	-DMOBILESETTINGSDIALOG=OFF \
	-DMOBILITY=OFF \
	-DOFFTHERECORD=OFF \
	-DPLUGMAN=OFF \
	-DSDLSOUND=OFF \
	-DSYMBIANINTEGRATION=OFF \
	-DUPDATER=OFF \
	-DWININTEGRATION=OFF
%make

%install
%make_install -C build


%changelog
* Tue Apr 26 2016 daviddavid <daviddavid> 0.3.2-7.mga6
+ Revision: 1006422
- add patch to fix libhunspell-1.4 detection

* Thu Apr 21 2016 tv <tv> 0.3.2-6.mga6
+ Revision: 1004216
- rebuid for libhunspell 1.4

* Thu Jan 28 2016 umeabot <umeabot> 0.3.2-5.mga6
+ Revision: 928480
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Apr 26 2014 alexl <alexl> 0.3.2-2.mga5
+ Revision: 618192
- fixed devel pkg

* Sat Apr 19 2014 alexl <alexl> 0.3.2-1.mga5
+ Revision: 617020
- imported package qutim

